Package com.logicaldoc.core.parser

# Class HTMLParser

java.lang.Object
com.logicaldoc.core.parser.AbstractParser
com.logicaldoc.core.parser.HTMLParser

All Implemented Interfaces:
  `Parser`

Direct Known Subclasses:
  `MarkdownParser`

public class HTMLParser extends AbstractParser
Text extractor for HyperText Markup Language (HTML).

Since:
  3.5
Author:
  Michael Scholz, Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`HTMLParser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalParse(InputStream input, ParseParameters parameters, StringBuilder content)`

### Methods inherited from class com.logicaldoc.core.parser.AbstractParser

`countPages, countPages, parse, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HTMLParser

public HTMLParser()

## Method Details

### internalParse

public void internalParse(InputStream input, ParseParameters parameters, StringBuilder content) throws ParsingException

Throws:
  `ParsingException`